# Pages Object

> Source: https://truto.one/docs/api-reference/unified-knowledge-base-api/pages/

Schema for the `Pages` resource in **Unified Knowledge Base API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for the page
- **`title`** _(string)_
  The title of the page
- **`description`** _(string)_
  The description of the page
- **`page_type`** _(string)_
  The type of the page
  Allowed: `landing-pages`, `site-pages`, `blog-posts`, `page`, `database`
- **`status`** _(string)_
  The status of the page
  Allowed: `draft`, `published`, `archived`, `deleted`
- **`tags`** _(array<string>)_
  The tags associated with the page
- **`parent`** _(object)_
  The parent of the page
  - **`id`** _(string)_
    The unique identifier for the parent page
  - **`type`** _(string)_
    The type of the parent
- **`space`** _(object)_
  The space the page belongs to
  - **`id`** _(string)_
    The unique identifier for the space
- **`collection`** _(object)_
  The collection the page belongs to
  - **`id`** _(string)_
    The unique identifier for the collection
- **`created_by`** _(object)_
  The user who created the page
  - **`id`** _(string)_
    The unique identifier for the user
  - **`name`** _(string)_
    The name of the user
  - **`emails`** _(array<object>)_
    The emails of the user
    - **`email`** _(string)_
      The email of the user
    - **`is_primary`** _(boolean)_
      Whether the email is the primary email of the user
    - **`type`** _(string)_
      The type of the email
      Allowed: `work`, `home`, `other`
- **`last_edited_by`** _(object)_
  The user who last edited the page
  - **`id`** _(string)_
    The unique identifier for the user
  - **`name`** _(string)_
    The name of the user
  - **`emails`** _(array<object>)_
    The emails of the user
    - **`email`** _(string)_
      The email of the user
    - **`is_primary`** _(boolean)_
      Whether the email is the primary email of the user
    - **`type`** _(string)_
      The type of the email
      Allowed: `work`, `home`, `other`
- **`published_at`** _(string)_
  The date and time the page was published
- **`urls`** _(array<object>)_
  The urls of the page
  - **`url`** _(string)_
    The url of the page
  - **`type`** _(string)_
    The type of the url
    Allowed: `view`, `edit`, `public_view`
- **`created_at`** _(string)_
  The date and time the page was created
- **`updated_at`** _(string)_
  The date and time the page was last updated
- **`visibility`** _(string)_
  The visibility of the page
  Allowed: `private`, `public`
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/knowledge-base/pages/{id}](/docs/api-reference/unified-knowledge-base-api/pages/get) — Get Pages
- [PATCH /unified/knowledge-base/pages/{id}](/docs/api-reference/unified-knowledge-base-api/pages/update) — Update Pages
- [GET /unified/knowledge-base/pages](/docs/api-reference/unified-knowledge-base-api/pages/list) — List Pages
- [POST /unified/knowledge-base/pages](/docs/api-reference/unified-knowledge-base-api/pages/create) — Create Pages
